Subject: Re: [bug#61873] [PATCH core-updates] gnu: libgc: Update to 8.2.2 and remove '--disable-munmap'.

From: Andreas Enge <[email-masked]>
Date: Tue, 28 Feb 2023 18:47:09 +0100

Am Tue, Feb 28, 2023 at 06:38:54PM +0100 schrieb Ludovic Courtès:
> This is another proposal for a world-rebuild change, hopefully the latest
> (I swear!).  It’s quite important because it fixes a libgc bug that led
> us to build libgc with ‘--disable-munmap’, meaning it would not return
> memory to the OS:
>   https://github.com/ivmai/bdwgc/issues/353
> Thanks to Andrew Whatson for tackling this and for letting me know!
> 
> Given that the test suite of Guix passed and that everything in between
> went fine, I’m rather confident.
> Thoughts?

Indeed, the bug looks important to fix!

Concerning world rebuilding, I do not know if anybody did; I did not ;-)
So maybe after pushing this, we could set up jobs on the build farms to
rebuild the world twice.

Andreas